Security Lab

Межсайтовый скриптинг в MyBB

Дата публикации:25.07.2006
Дата изменения:08.04.2009
Всего просмотров:4697
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBB 1.1.6, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в поле "avatarurl" в сценарии usercp.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.mybboard.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
08.04.2009
Изменена секция "Решение"